2 Commits 6e8abd426b ... e087a0be5a

Autor SHA1 Mensaje Fecha
  Zhipeng e087a0be5a modify '格式修改' hace 4 años
  Zhipeng 655f89ca9d modify 加上Tab键 hace 4 años
Se han modificado 2 ficheros con 6 adiciones y 6 borrados
  1. 2 4
      supervisor/install.sh
  2. 4 2
      supervisor/uninstall.sh

+ 2 - 4
supervisor/install.sh

@@ -1,6 +1,5 @@
 #!/bin/bash
 #!/bin/bash
 
 
-
 #Read parameters
 #Read parameters
 echo "Please input the configuration file name"
 echo "Please input the configuration file name"
 read conf
 read conf
@@ -19,8 +18,8 @@ read directory
 served="/etc/supervisord.d"
 served="/etc/supervisord.d"
 if [ -f "$served/$conf" ]
 if [ -f "$served/$conf" ]
 then
 then
-echo "The service has already existed"
-exit 1
+	echo "The service has already existed"
+	exit 1
 else
 else
 # The first position is server.conf File installation directory
 # The first position is server.conf File installation directory
 cp server.conf $served/$conf
 cp server.conf $served/$conf
@@ -34,7 +33,6 @@ sed -i "s#USER#$user#g" $served/$conf
 sed -i "s#DIRECTORY#$directory#g" $served/$conf
 sed -i "s#DIRECTORY#$directory#g" $served/$conf
 sed -i "s#COMMAND#$command#g" $served/$conf
 sed -i "s#COMMAND#$command#g" $served/$conf
 
 
-
 #重读supervisor配置文件
 #重读supervisor配置文件
 supervisorctl update
 supervisorctl update
 
 

+ 4 - 2
supervisor/uninstall.sh

@@ -1,11 +1,13 @@
 #!/bin/bash
 #!/bin/bash
+
+#Read service name you want to uninstall
 echo "Please input the service you want to uninstall"
 echo "Please input the service you want to uninstall"
 read conf
 read conf
 served="/etc/supervisord.d"
 served="/etc/supervisord.d"
 if [ ! -f "$served/$conf" ]
 if [ ! -f "$served/$conf" ]
 then
 then
-echo "The service is not existing"
-exit 1
+	echo "The service is not existing"
+	exit 1
 fi
 fi